/usr/local/cpanel/logs/error_log

3 posts Page 1 of 1
H2H
Junior Member
Posts: 4
Joined: 01 Dec 2007, 04:14


[2011-08-12 21:32:06 +1000] invalid [addon_cmm] Cpanel::Version::getversiononly is deprecated. Try get_version_full. at /usr/local/cpanel/Cpanel/Version.pm line 54
Cpanel::Version::getversiononly() called at /usr/local/cpanel/whostmgr/docroot/cgi/addon_cmm.cgi line 36

These errors keep popping up in logs since upgrading to cpanel 11.30 is there a fix?

Cheers
chirpy
Moderator
Posts: 3537
Joined: 09 Dec 2006, 18:13


Not at present, but you can safely ignore the messages for now.
marty
Junior Member
Posts: 26
Joined: 08 Feb 2009, 12:23


Hi :)

If the error messages bug you as they do me (I equate an empty error_log file to 'restful sleep' ;) )

Pending an official fix rollout from Chripy, you could (** AT YOUR OWN RISK! ***) try editing file:-

/usr/local/cpanel/whostmgr/docroot/cgi/addon_cmm.cgi

in cmm v1.16 change line 36 from...

$cpversion = Cpanel::Version::getversiononly();

To...

$cpversion = Cpanel::Version::get_version_full();

It seems to work for me, but your mil[e]age may vary... Limited Warranty: if you break your system, You get to keep the pieces.

HTH,
Marty
3 posts Page 1 of 1